<template>
    <box class="bg-red c-white add-event-to-tracker">
        <div class="icon"></div>
        <div class="name">Add This Event To My Tracker</div>
        <div class="buttons flex aic">
            <button
                v-if="types['1'] || types['Over'] || types['1X']"
                class="btn btn-small btn-white-opacity"

                @click="addToTracker(getType(types, ['1', 'Over', '1X']))"
            >Add
            </button>
            <button
                v-if="types['X'] || types['12']"
                class="btn btn-small btn-white-opacity"
                @click="addToTracker(getType(types, ['X', '12']))"
            >Add
            </button>
            <button

                v-if="types['2'] || types['Under'] || types['X2']"
                class="btn btn-small btn-white-opacity"
                @click="addToTracker(getType(types, ['2', 'Under', 'X2']))"
            >Add
            </button>
            <button class="btn btn-small btn-white-opacity" disabled>Remove</button>
        </div>
    </box>
</template>

<script>
import Box from '../box/Box'
import Api from '../../../JokerApi'
import {mapActions} from "vuex";

const api = new Api

export default {
    name: 'MatchAddToTracker',
    components: {
        Box
    },
    props: {
        eventId: {
            type: [String, Number]
        },
        marketId: {
            type: [String, Number]
        },
        bets: {
            type: [Object, Array]
        },
        activeBetType: {
            type: String
        },
    },
    data() {
        return {
            types: {},
            clicked: [],
            result: 0
        }
    },
    methods: {
        ...mapActions(['setAverage','updateTrackerAverage']),
        processTypes() {
            this.types = {}
            let types = this.bets[0].coefficientsGroups

            Object.values(types).map(type => {
                this.types[type] = true
            })
        },
        addToTracker(type) {
            const remember_token = this.$cookies.get('api_remember_token')
            api.addTrackerItem(remember_token, this.eventId, this.marketId, type,this.bets[0].line).then((res) => {
                this.$log.debug('ewqewqewq',type, this.marketId, this.eventId, this.bets[0].line, 'addToTracker', res)
                if(this.eventId && this.marketId)
                    this.result= 0
                this.setAverage({
                    marketId: type,
                    average: this.bets[0].coefficients[type],
                    id: `${this.eventId}_${this.marketId}${type}${null}`
                })
                this.result++
            }).then(() => {
                this.$root.$emit('updateTrackerItems')
            })

        },
        getType(allTypes, choseTypes) {
            return choseTypes.filter(type => allTypes[type])[0]
        },
    },
    mounted() {
        // this.$log.debug(this.bets)
        this.processTypes()
    },
    watch: {
        bets() {
            this.processTypes()
        }
    },
}
</script>
